<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionGlobalChatModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d1e/class_expansion_global_chat_module.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionGlobalChatModule Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class handle global chat.  
 <a href="../../d2/d1e/class_expansion_global_chat_module.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionGlobalChatModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d1e/class_expansion_global_chat_module.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4f9b6e84d74bcd749d6688f47d3a9099"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#a4f9b6e84d74bcd749d6688f47d3a9099">ExpansionGlobalChatModule</a> ()</td></tr>
<tr class="separator:a4f9b6e84d74bcd749d6688f47d3a9099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca003f70cb2905ae4712fd5f719ed3d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#adca003f70cb2905ae4712fd5f719ed3d">OnInit</a> ()</td></tr>
<tr class="separator:adca003f70cb2905ae4712fd5f719ed3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eee71839d963a24bdcbfb1f8737953f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#a8eee71839d963a24bdcbfb1f8737953f">AddChatMessage</a> (ParamsReadContext ctx, PlayerIdentity sender, Object target)</td></tr>
<tr class="separator:a8eee71839d963a24bdcbfb1f8737953f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb65cf56076af4ff829f6f46c72d964"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#abdb65cf56076af4ff829f6f46c72d964">GetRPCMin</a> ()</td></tr>
<tr class="separator:abdb65cf56076af4ff829f6f46c72d964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a701fa03d42096fdf360f6d361713913b"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#a701fa03d42096fdf360f6d361713913b">GetRPCMax</a> ()</td></tr>
<tr class="separator:a701fa03d42096fdf360f6d361713913b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc9328cf4bbe78ead4fc9c69e23da63c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html#abc9328cf4bbe78ead4fc9c69e23da63c">OnRPC</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:abc9328cf4bbe78ead4fc9c69e23da63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class handle global chat. </p>
<p ><a class="el" href="../../db/d27/expansionglobalchatmodule_8c.html">ExpansionGlobalChatModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00018">18</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4f9b6e84d74bcd749d6688f47d3a9099" name="a4f9b6e84d74bcd749d6688f47d3a9099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f9b6e84d74bcd749d6688f47d3a9099">&#9670;&#160;</a></span>ExpansionGlobalChatModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionGlobalChatModule::ExpansionGlobalChatModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00025">25</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8eee71839d963a24bdcbfb1f8737953f" name="a8eee71839d963a24bdcbfb1f8737953f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eee71839d963a24bdcbfb1f8737953f">&#9670;&#160;</a></span>AddChatMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionGlobalChatModule::AddChatMessage </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p ><code>parent</code> will only be non-NULL if player is in same network bubble as sender</p>

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00040">40</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<a id="a701fa03d42096fdf360f6d361713913b" name="a701fa03d42096fdf360f6d361713913b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a701fa03d42096fdf360f6d361713913b">&#9670;&#160;</a></span>GetRPCMax()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionGlobalChatModule::GetRPCMax </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00164">164</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<a id="abdb65cf56076af4ff829f6f46c72d964" name="abdb65cf56076af4ff829f6f46c72d964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb65cf56076af4ff829f6f46c72d964">&#9670;&#160;</a></span>GetRPCMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionGlobalChatModule::GetRPCMin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00156">156</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<a id="adca003f70cb2905ae4712fd5f719ed3d" name="adca003f70cb2905ae4712fd5f719ed3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adca003f70cb2905ae4712fd5f719ed3d">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGlobalChatModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00032">32</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<a id="abc9328cf4bbe78ead4fc9c69e23da63c" name="abc9328cf4bbe78ead4fc9c69e23da63c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc9328cf4bbe78ead4fc9c69e23da63c">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGlobalChatModule::OnRPC </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html#l00173">173</a> of file <a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Chat/Scripts/4_world/dayzexpansion_chat/<a class="el" href="../../db/d27/expansionglobalchatmodule_8c_source.html">expansionglobalchatmodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d1e/class_expansion_global_chat_module.html">ExpansionGlobalChatModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
